Package net.officefloor.web.route
Class ParameterWebRouteNode
java.lang.Object
net.officefloor.web.route.ParameterWebRouteNode
- All Implemented Interfaces:
WebRouteNode
WebRouteNode for a path parameter.- Author:
- Daniel Sagenschneider
-
Nested Class Summary
Nested classes/interfaces inherited from interface net.officefloor.web.route.WebRouteNode
WebRouteNode.WebRouteResultEnum -
Constructor Summary
ConstructorsConstructorDescriptionParameterWebRouteNode(StaticWebRouteNode[] nodes, LeafWebRouteNode leafNode) Instantiate. -
Method Summary
Modifier and TypeMethodDescriptionhandle(HttpMethod method, String path, int index, HttpArgument headPathArgument, ServerHttpConnection connection, ManagedFunctionContext<?, Indexed> context) Attempts to handle the path.
-
Constructor Details
-
ParameterWebRouteNode
Instantiate.- Parameters:
nodes- FurtherStaticWebRouteNodeinstances.leafNode-LeafWebRouteNodeshould the parameter finish the path. May benullif parameter is always embedded in middle of the path.
-
-
Method Details
-
handle
public WebServicer handle(HttpMethod method, String path, int index, HttpArgument headPathArgument, ServerHttpConnection connection, ManagedFunctionContext<?, Indexed> context) Description copied from interface:WebRouteNodeAttempts to handle the path.- Specified by:
handlein interfaceWebRouteNode- Parameters:
method-HttpMethod.path- Path.index- Index into the path.headPathArgument- HeadHttpArgumentfrom the path.connection-ServerHttpConnection.context-ManagedFunctionContext.- Returns:
WebServicer.
-